Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jboss.portal.portlet.impl.spi
Class AbstractRequestContext

    java.lang.Object
      org.jboss.portal.portlet.impl.spi.AbstractRequestContext

All Implemented Interfaces:
  RequestContext

    public class AbstractRequestContext

extends java.lang.Object
implements RequestContext

Version:
  $Revision: 630 $
Author:
  Julien Viet

Constructor Summary
`AbstractRequestContext(javax.servlet.http.HttpServletRequest clientRequest)`

Method Summary
`java.lang.String` | `getCharacterEncoding()` Returns the name of the character encoding used in the body of this request.
`int` | `getContentLength()` Returns the length, in bytes, of the request body which is made available by the input stream, or -1 if the length is not known.
`java.lang.String` | `getContentType()` Returns the MIME type of the body of the request, or null if the type is not known.
`java.io.InputStream` | `getInputStream()` Retrieves the body of the HTTP request from client to portal as binary data using an `InputStream`.
`java.io.BufferedReader` | `getReader()` Retrieves the body of the HTTP request from the client to the portal as character data using a `BufferedReader`.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### AbstractRequestContext

    public AbstractRequestContext(javax.servlet.http.HttpServletRequest clientRequest)

Method Detail

### getCharacterEncoding

    public java.lang.String getCharacterEncoding()

  Description copied from interface: `RequestContext`
  Returns the name of the character encoding used in the body of this request. This method returns `null` if the request does not specify a character encoding.

  Specified by:
    `getCharacterEncoding` in interface `RequestContext`
  Returns:
    a `String` containing the name of the chararacter encoding, or `null` if the request does not specify a character encoding.

### getReader

    public java.io.BufferedReader getReader()
                                     throws java.io.IOException

  Description copied from interface: `RequestContext`
  Retrieves the body of the HTTP request from the client to the portal as character data using a `BufferedReader`. The reader translates the character data according to the character encoding used on the body. Either this method or `RequestContext.getInputStream()` may be called to read the body, not both.

  For HTTP POST data of type application/x-www-form-urlencoded this method throws an `IllegalStateException` as this data has been already processed by the portal/portlet-container and is available as request parameters.

  Specified by:
    `getReader` in interface `RequestContext`
  Returns:
    a `BufferedReader` containing the body of the request
  Throws:
    `java.io.UnsupportedEncodingException` - if the character set encoding used is not supported and the text cannot be decoded
    `java.io.IOException` - if an input or output exception occurred
  See Also:
    `RequestContext.getInputStream()`

### getInputStream

    public java.io.InputStream getInputStream()
                                       throws java.io.IOException

  Description copied from interface: `RequestContext`
  Retrieves the body of the HTTP request from client to portal as binary data using an `InputStream`. Either this method or `RequestContext.getReader()` may be called to read the body, but not both.

  For HTTP POST data of type application/x-www-form-urlencoded this method throws an `IllegalStateException` as this data has been already processed by the portal/portlet-container and is available as request parameters.

  Specified by:
    `getInputStream` in interface `RequestContext`
  Returns:
    an input stream containing the body of the request
  Throws:
    `java.io.IOException` - if an input or output exception occurred

### getContentLength

    public int getContentLength()

  Description copied from interface: `RequestContext`
  Returns the length, in bytes, of the request body which is made available by the input stream, or -1 if the length is not known.

  Specified by:
    `getContentLength` in interface `RequestContext`
  Returns:
    an integer containing the length of the request body or -1 if the length is not known

### getContentType

    public java.lang.String getContentType()

  Description copied from interface: `RequestContext`
  Returns the MIME type of the body of the request, or null if the type is not known.

  Specified by:
    `getContentType` in interface `RequestContext`
  Returns:
    a `String` containing the name of the MIME type of the request, or null if the type is not known.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2008. All Rights Reserved.